Name:           nsntrace
Version:        3
Release:        1%{?dist}
Summary:        Perform network trace of a program by using network namespaces

License:        GPLv2+
URL:            https://github.com/jonasdn/nsntrace
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  automake autoconf libtool
BuildRequires:  libpcap-devel
BuildRequires:  pkgconfig(libnl-route-3.0)
BuildRequires:  libxslt docbook-style-xsl
BuildRequires:  /usr/sbin/iptables

%description
The nsntrace program uses Linux network namespaces to perform network traces
of a single application. The traces are saved as pcap files. And can later be
analyzed by for instance Wireshark.

%prep
%autosetup -p1

%build
autoreconf -vfi
%configure
%make_build

%install
%make_install

%files
%license LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} Didier Moens <Didier.Moens@irc.vib-ugent.be> - %{version}-%{release}
- Rebuild : distr %{?dist} , version %{version}

* Fri Jul 22 2016 jonas <jonas@threetimestwo.org> - 2-1
- Initial SPEC for package
